summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2016-03-23 06:11:01 -0400
committerAnthony G. Basile <blueness@gentoo.org>2016-03-23 06:11:01 -0400
commit93f9c4e3a88e812c223f48508a37d0386b2a4999 (patch)
tree7797d1207e29538ebe27d57ec9a25b50b83d01be
parentnet-misc/curl: remove older versions (diff)
downloadgentoo-93f9c4e3a88e812c223f48508a37d0386b2a4999.tar.gz
gentoo-93f9c4e3a88e812c223f48508a37d0386b2a4999.tar.bz2
gentoo-93f9c4e3a88e812c223f48508a37d0386b2a4999.zip
dev-libs/libressl: version bump to 2.3.3
Package-Manager: portage-2.2.26
-rw-r--r--dev-libs/libressl/Manifest1
-rw-r--r--dev-libs/libressl/libressl-2.3.3.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index 314d3a502dd..287522fd355 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -1,3 +1,4 @@
DIST libressl-2.2.5.tar.gz 2966527 SHA256 e3caded0469d8dc64f4ca2fe8e499ada4dd014e84d1c5a71818d39e54e6c914b SHA512 501d04cb966260854082d374e60aabde21bcd65a331ff7c76044f2053b22ddab4914710b223b400a3a181873c6af5e2e7da5f04bdd9028fddbf420e259a2863a WHIRLPOOL 47f7d35ceff5004af0c2f79509678c4826eabe05225dbcf5cbe1f9cb358d1657ff288a702e14bfd578fd03e38256d2aa2c79ec724a05c98aa91317e6a9a5f9d4
DIST libressl-2.2.6.tar.gz 2965531 SHA256 1ee19994cffd047d40f63ba149115dba18a681b0cc923beec301bf424b58d64f SHA512 41e29431ad9e8b18e2dbc30fe9df1d7be3ca372d5d7757b5b01f8904515bafd5333446957fbc9874f64f384dae56cf6bf29d6808a7c0df1836b55ea64804a4bf WHIRLPOOL 49b6efa211ea4789e51388d3ebfec941dfedad427b806b33d439a7639e09d16e5c9004edc4a4c8e3de63040ebc2fe0a3a3819c68ed674e3bb36bb52b49e75ce5
DIST libressl-2.3.2.tar.gz 3063638 SHA256 80f45fae4859f161b1980cad846d4217417d0c89006ad29c0ea8c88da564a96a SHA512 619acf3e9c670cc5f32aa9e0064e8b72297bfc05c68743c5cb9f7b7332207d05fc43f44ea9652db9b651b301e8ce5dd90777a20a4a25e8145d1f7fa977d782c1 WHIRLPOOL 41a1fb795c05202d03d40d6b7e30831684d659eb970620d410c63d5158320eadec707721b30e29afa6c0c72dbe90d17234f82f34873646f98f83e63baeae093c
+DIST libressl-2.3.3.tar.gz 3019069 SHA256 76733166187cc8587e0ebe1e83965ef257262a1a676a36806edd3b6d51b50aa9 SHA512 5b8003af0f6fd049de7d36cdda5b3e0b7e58aeef92455806f3927094fd63edb6281e827b8d237907b455d754a2be913682b1dd954a71873941117d082842f59e WHIRLPOOL b99f3585fef4e9ceaf0ce9f0cf2877e48c3be5f6b649a07c2ae235bc6b1c0835c9c9d7528135dd17cb3bfe9b353618de4d40915e573df6e93b79a2b612bc67c7
diff --git a/dev-libs/libressl/libressl-2.3.3.ebuild b/dev-libs/libressl/libressl-2.3.3.ebuild
new file mode 100644
index 00000000000..f65fed526d3
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.3.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib-minimal
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="http://www.libressl.org/"
+SRC_URI="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/38"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="+asm static-libs"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+ touch crypto/Makefile.in
+
+ sed -i \
+ -e '/^[ \t]*CFLAGS=/s#-g ##' \
+ -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+ -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+ -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+ -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+ -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+ configure || die "fixing CFLAGS failed"
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable asm) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+ emake check
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files
+}